using System;
using System.IO;

namespace Přejmenování_souboru
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
          Console.Title = "Přejmenování souboru";

         // Pro příklad soubor nejprve zkopírujeme */
         try
         {
            System.IO.File.Copy(@"C:\autoexec.bat", @"C:\autoexec.bat.copy");
         }
         catch { /* Chyby ignorujeme */ }

         string sourceFileName = @"C:\autoexec.bat.copy";
         string destFileName = @"C:\autoexec.bat.bak";

         try
         {
             // Přejmenování souboru
            File.Move(sourceFileName, destFileName);

            Console.WriteLine("Soubor úpěšně přejmenován");
         }
         catch (IOException ex)
         {
            Console.WriteLine("Chyba při přejmenování souboru: " + ex.Message);
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
